#modal_bg {
  background-color: #000;
  position: fixed;
  z-index: 1000;
  opacity: 0.3;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
}
/* ------------------------------ */
#modal_bg:not(.active) {
  display: none;
}
/* ------------------------------ */
.modal_box {
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 1000;
  display: flex;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
}
.modal_box:not(.active) {
  display: none;
}
/* ------------------------------ */
.modal_window {
  position: relative;
  min-height: 10%;
  max-height: 90%;
  min-width: 10%;
  max-width: 90%;
  z-index: 1001;
}
/* ------------------------------ */
.modal_content {
  box-shadow: 0 0 2.5rem 1.25rem rgba(71, 67, 91, 0.7);
  border: 0.125rem solid #635779;
  background-color: #101123;
  border-radius: 3.875rem;
  position: relative;
  padding: 1.438rem;
  max-width: 100%;
  width: 62.5rem;
  color: #fff;
}

.light_theme .modal_content {
  box-shadow: 0 0.625rem 1.25rem rgba(0, 0, 0, 0.15);
  background-color: #ffecd7;
  border-color: #f5f5f5;
  color: #505050;
}
/* ------------------------------ */
.modal_box .title {
  font-family: "bicubikregular";
  padding: 1.25rem 2.5rem 0;
  letter-spacing: 0.06em;
  margin-bottom: 2.5rem;
  line-height: 1.875rem;
  font-size: 1.25rem;
}
/* ------------------------------ close button */
.modal_close_button {
  background: url(../img/template/modal-close.png) center no-repeat;
  background-size: cover;
  position: absolute;
  cursor: pointer;
  height: 2.5rem;
  width: 2.5rem;
  right: 2.5rem;
  top: 1.875rem;
  z-index: 1;
}
.modal_close_button:hover {
  opacity: 0.5;
}
/* ------------------------------ modal_body */
.modal_box .modal_body {
  font-family: "magistralcbold";
  padding: 1.25rem 2.5rem;
  min-height: 10.625rem;
  font-size: 1.375rem;
  margin-bottom: 0;
  color: #fff;
}
.light_theme .modal_box .modal_body {
  color: #505050;
}
/* ------------------------------ */
.modal_box .modal_head {
  line-height: 2.5rem;
}
/* ------------------------------ */
.modal_box .content_title {
  font-size: 1.75rem;
}
.modal_box .content_subtitle {
  font-size: 1.375rem;
}
/* ------------------------------ */
.modal_box .cl_fiolet_light {
  color: #b2aacd;
}
.light_theme .modal_box .cl_fiolet_light {
  color: #d0b790;
}
/* ------------------------------ */
.iconed_text {
  flex-wrap: nowrap;
  align-items: center;
  display: flex;
}
/* ------------------------------ */
.modal_box .divider {
  background-color: #5e5070;
  height: 1px;
}
.light_theme .modal_box .divider {
  background-color: #e5e5e5;
}
/* ------------------------------ text input, textarea */
.modal_box .form-group {
  margin-bottom: 0;
}
.modal_box .form-control {
  border: 0.125rem solid #635779;
  font-family: "magistralcbold";
  padding: 1.5625rem 2.1875rem;
  background-color: #101123;
  border-radius: 0.75rem;
  line-height: 1.875rem;
  font-size: 1.5rem;
  color: #9c88ad;
}
.pincode_list li .form-control {
	padding:0;
}
.modal_box .form-control:focus {
  background-color: #101123;
  border-color: #635779;
  box-shadow: none;
  color: #9c88ad;
}
.modal_box textarea.form-control {
  resize: none;
}
.modal_box .form-control::-webkit-input-placeholder {
  color: #9c88ad;
}
.modal_box .form-control::-moz-placeholder {
  color: #9c88ad;
}
.modal_box .form-control:-ms-input-placeholder {
  color: #9c88ad;
}
.modal_box .form-control::-ms-input-placeholder {
  color: #9c88ad;
}
.modal_box .form-control::placeholder {
  color: #9c88ad;
}

.modal_box .pincode_list li .form-control {
  padding: 1.5625rem 0;
}

.light_theme .modal_box .form-control {
  border-color: #e5e4e1;
  background-color: #fff;
  color: #505050;
}
.light_theme .modal_box .form-control:focus {
  background-color: #fff;
  border-color: #e5e4e1;
  color: #505050;
}
.light_theme .modal_box .form-control::-webkit-input-placeholder {
  color: #505050;
}
.light_theme .modal_box .form-control::-moz-placeholder {
  color: #505050;
}
.light_theme .modal_box .form-control:-ms-input-placeholder {
  color: #505050;
}
.light_theme .modal_box .form-control::-ms-input-placeholder {
  color: #505050;
}
.light_theme .modal_box .form-control::placeholder {
  color: #505050;
}
/* ------------------------------ toggle input */
.modal_box .toggle_input {
  border: 0.125rem solid rgba(255, 255, 255, 0.5);
  justify-content: space-between;
  font-family: "bicubikregular";
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
  padding: 1.25rem 1.4375rem;
  border-radius: 1.875rem;
  align-items: center;
  position: relative;
  width: 9.3125rem;
  height: 3.75rem;
  cursor: pointer;
  font-size: 1rem;
  line-height: 1;
  display: flex;
}
.light_theme .modal_box .toggle_input {
  border-color: #e5e4e1;
}

.modal_box .toggle_cb:checked ~ .toggle_input.active {
  border: 0.125rem solid rgba(255, 255, 255, 1);
  color: #fff;
}

.light_theme .modal_box .toggle_cb:checked ~ .toggle_input.active {
  border-color: #e5e4e1;
  color: #efbf78;
}

.modal_box .toggle_on,
.modal_box .toggle_off {
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
}
.modal_box .toggle_input .toggle_off {
  color: #b2aacd;
  opacity: 1;
}
.light_theme .modal_box .toggle_input .toggle_off {
  color: #505050;
}

.modal_box .toggle_input.active .toggle_on {
  color: #fff;
  opacity: 1;
}
.light_theme .modal_box .toggle_input.active .toggle_on {
  color: #505050;
}

.modal_box .toggle_input .toggle_on,
.modal_box .toggle_input.active .toggle_off {
  opacity: 0;
}
.modal_box .toggle_input .toggle_status {
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
  background-color: #d00000;
  border-radius: 50%;
  position: absolute;
  height: 2.75rem;
  width: 2.75rem;
  left: 0.375rem;
  z-index: 3;
  top: 50%;
}
.modal_box .toggle_input.active .toggle_status {
  background-color: #00ba00;
  left: 5.9375rem;
}
.modal_box .toggle_input.disabled .toggle_status {
  background-color: #aaa;
  left: 5.9375rem;
  cursor: default;
}
.modal_box .toggle_input.disabled.off .toggle_on {
  opacity: 1;
}
.modal_box .toggle_input.disabled.off .toggle_off {
  opacity: 0;
}
.modal_box .toggle_input.disabled.on .toggle_on {
  opacity: 0;
}
.modal_box .toggle_input.disabled.on .toggle_off {
  opacity: 1;
}
.modal_box .toggle_input.disabled {
  cursor: not-allowed;
}
/* ------------------------------ */
.modal_btn_box {
  display: flex;
}
.modal_btn_box .modal_btn + .modal_btn {
  margin-left: 1.438rem;
}
/* ------------------------------ */
.modal_box .modal_btn {
  background-color: transparent;
  border: 0.125rem solid #ff8a00;
  font-family: "bicubikregular";
  padding: 0.9375rem 1.5625rem;
  border-radius: 2.8125em;
  justify-content: center;
  text-decoration: none;
  min-height: 5.625rem;
  line-height: 1.25rem;
  font-size: 1.125rem;
  align-items: center;
  color: #ff8a00;
  display: flex;
  width: 100%;
}
.modal_box .modal_btn:hover {
  background-color: #1b1a2a;
  text-decoration: none;
  border-color: #ed2e49;
  color: #ff8a00;
}
.light_theme .modal_box .modal_btn:hover {
  background-color: #fff;
}
.light_theme .modal_box .modal_btn:hover {
  box-shadow: 0 0 0.75rem 0.1875em rgba(255, 138, 0, 0.7) inset;
  background-color: #ffefde;
  border-color: #ff8a00;
  color: #505050;
  box-shadow: none;
}
/* ------------------------------ */
a,
.btn,
.anim,
::after,
::before {
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
}
/* ------------------------------ */
@media screen and (max-width: 669px) {
  /* .modal_content {
    width: 48rem;
  } */
  .modal_close_button {
    height: 1.81rem;
    width: 1.81rem;
  }
}

/* ---------------------------------------- Message modal */
.modal_box[type="message"] .modal_content {
  border: 0.125rem solid rgb(65, 164, 100);
}
.modal_box[type="message"] .subtitle {
  margin: 0 0 2rem 2rem;
}

/* ---------------------------------------- Error modal */
.modal_box[type="error"] .modal_content {
  border: 0.125rem solid rgb(255, 51, 51);
}
.modal_box[type="error"] .subtitle {
  margin: 0 0 2rem 2rem;
}

/* ---------------------------------------- Notifications modal */
.modal_box[window_name="notifications"] .modal_content {
  padding: 2.6875rem 3.4375rem 2.6875rem;
}

/* ---------------------------------------- Reviews modal */
.reviews_modal ul {
  padding: 0.9375rem 2.1875rem;
  margin-bottom: 0;
}
.reviews_modal li {
  padding: 0.3125rem 0;
  font-size: 1.375rem;
}
.reviews_modal li .rev_name {
  font-family: "magistralcbold";
  font-size: 1.75rem;
}
.reviews_modal li .rev_name sup {
  font-size: 65%;
  top: -0.7em;
}
.reviews_modal li .rev_location {
  font-family: "magistralcbold";
  color: #b2aacd;
}
.light_theme .reviews_modal li .rev_location {
  color: #d0b790;
}
/* ------------------------------ */
.rev_amount {
  font-family: "bicubikregular";
  color: #b2aacd;
}
.rev_amount .fraction {
  font-size: 1.125rem;
  color: #9c88ad;
}
.rev_amount .white_c {
  color: #fff;
}
.rev_amount .orange_c {
  color: #ff8a00;
}

.light_theme .rev_amount {
  color: #505050;
}
.light_theme .rev_amount .fraction {
  color: #d0b790;
}
.light_theme .rev_amount .white_c {
  color: #505050;
}
.light_theme .rev_amount .orange_c {
  color: #ff8a00;
}
/* ------------------------------ */
.review_list_box {
  padding: 0 1.25rem;
}
.review_list_item {
  border: 0.125rem solid #5f5070;
  font-family: "magistralcbold";
  padding: 2.0625rem 2.1875rem;
  border-radius: 4.0625rem;
  margin-bottom: 0.625rem;
  text-decoration: none;
  display: block;
  color: #fff;
}
.review_list_item * {
  font-size: 1.5rem;
}
.review_list_item:hover {
  box-shadow: 0 0 1.4375rem 0.5rem rgba(105, 221, 36, 0.35) inset;
  text-decoration: none;
  border-color: #69dd24;
  color: #fff;
}
/* --------------- */
.reviews_modal textarea.form-control {
  height: 11.5625rem;
}

/* ---------------------------------------- Socials modal */
.socials_modal {
  padding: 0 1.25rem;
}
/* ------------------------------ */
.social_link {
  border: 0.125rem solid #5f5070;
  font-family: "magistralcbold";
  padding: 2.0625rem 2.1875rem;
  border-radius: 4.0625rem;
  margin-bottom: 0.625rem;
  text-decoration: none;
  display: block;
  color: #fff;
}
.social_link:hover {
  box-shadow: 0 0 1.4375rem 0.5rem rgba(238, 46, 73, 0.35) inset;
  text-decoration: none;
  border-color: #ed2e49;
  color: #fff;
}

.light_theme .social_link {
  border-color: #e5e4e1;
  color: #505050;
}
.light_theme .social_link:hover {
  box-shadow: 0 0 1.4375rem 0.5rem rgba(238, 46, 73, 0.35) inset;
  border-color: #ed2e49;
  color: #505050;
}
/* ------------------------------ */
.social_link .text span {
  display: block;
}
/* ------------------------------ */
.social_link .link_title {
  margin-bottom: 0.625rem;
  font-size: 1.5rem;
  line-height: 1;
}
/* ------------------------------ */
.social_link .lined {
  text-decoration: underline;
  font-size: 1.25rem;
  line-height: 1;
  color: #b2aacd;
}
.light_theme .social_link .lined {
  color: #efbf78;
}
/* ------------------------------ */
.social_link .icon_width {
  margin-right: 2rem;
  width: 3.875rem;
}
.social_link .icon_width .svg_fill {
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
  fill: #fff;
}
.social_link:hover .icon_width .svg_fill {
  fill: #ee2e49;
}

.light_theme .social_link .icon_width .svg_fill {
  fill: #ff8a00;
}
.light_theme .social_link:hover .icon_width .svg_fill {
  fill: #ee2e49;
}
/* ---------------------------------------- Settings modal */
.settings_list {
  padding: 0.9375rem 2.1875rem;
  margin-bottom: 0;
}
/* ------------------------------ */
.settings_list li {
  font-family: "magistralcbold";
  line-height: 1.875rem;
  padding: 1.25rem 0;
}
/* ------------------------------ */
.settings_list li .settings_name {
  margin-bottom: 0.625rem;
  font-size: 1.75rem;
  color: #fff;
}
.light_theme .settings_list li .settings_name {
	color:#505050;
}
.light_theme .settings_list li .settings_name {
  color: #505050;
}

.settings_list li .settings_about {
  font-size: 1.375rem;
  color: #b2aacd;
}
.light_theme .settings_list li .settings_about {
  color: #efbf78;
}
/* ---------------------------------------- Timezone modal */
.modal_box[window_name="timezone"] .modal_content {
  padding: 1.438rem;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .title {
  padding: 1.375rem 2.5rem 0;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .cl_fiolet_light {
  color: #b2aacd;
}
.modal_box[window_name="timezone"] .cl_yellow {
  color: #ff8a00;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .modal_body {
  font-family: "magistralcbold";
  padding: 1.25rem 2.5rem;
  margin-bottom: 0;
  color: #fff;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .modal_head {
  padding-bottom: 1.5rem;
  line-height: 2.5rem;
}
.modal_box[window_name="timezone"] .modal_head .content_title {
  font-size: 1.75rem;
}
.modal_box[window_name="timezone"] .modal_head .content_subtitle {
  font-size: 1.375rem;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .divider {
  background-color: #5e5070;
  height: 1px;
}
/* --------------------------------------------- */
.timezone_block {
  padding: 3rem 0 2.125rem;
  display: flex;
}
@media screen and (max-width: 379px) {
  .timezone_block {
    display: block;
  }
}
/* ------------------------------ */
.timezone_timer {
  flex-wrap: nowrap;
  display: flex;
}
/* ------------------------------ */
.timer_name {
  font-family: "bicubikregular";
  justify-content: flex-end;
  padding: 4rem 1rem 0;
  align-items: center;
  font-size: 1.375rem;
  line-height: 2.5rem;
  min-width: 7rem;
  display: flex;
}
/* ------------------------------ */
.timer_item {
  flex-direction: column;
  align-items: center;
  display: flex;
}
/* ------------------------------ */
.timer_label {
  margin-bottom: 1.5rem;
  line-height: 2.5rem;
  font-size: 1.5rem;
  color: #9c88ad;
}
/* ------------------------------ */
.timer_select {
  padding: 0 1rem;
}
/* ------------------------------ */
.timer_select .jq-selectbox.dropdown {
  margin-right: 0;
}
.timer_select .jq-selectbox {
  display: block;
}
/* ------------------------------ */
.timer_select .jq-selectbox__select {
  font-family: "bicubikregular";
  border-color: #635779;
  background: #101123;
  text-shadow: none;
  text-align: center !important;
  box-shadow: none;
  z-index: 15;
  width: 100%;
  color: #fff;
  height: 5.25rem;
  width: 5.25rem;
  padding: 1.25rem 0.625rem;
  border-width: 0.125rem;
  border-radius: 0.75rem;
  line-height: 2.5rem;
  font-size: 1.375rem;
}
.timer_select .jq-selectbox__select:hover,
.timer_select .jq-selectbox__select:active,
.timer_select .jq-selectbox.dropdown.opened .jq-selectbox__select {
  border-color: #555069;
  background: #232434;
  box-shadow: none;
}
.timer_select .jq-selectbox.focused .jq-selectbox__select {
  background-color: #232434;
  border-color: #555069;
}
.timer_select.tz_hour .jq-selectbox__dropdown ul {
	padding-top:1rem;
}
/* ------------------------------ */
.timer_select .jq-selectbox__select-text {
  width: 100% !important;
}
.timer_select .jq-selectbox .placeholder {
  color: #fff;
}
/* ------------------------------ */
.timer_select .jq-selectbox__trigger,
.timer_select .jq-selectbox__trigger-arrow {
  display: none;
}
/* ------------------------------ */
.timer_select .jq-selectbox__dropdown {
  font-family: "bicubikregular";
  background-color: #232434;
  border-color: #555069;
  border-radius: 0.75rem;
  border-width: 0.125rem;
  top: 100% !important;
  line-height: 2.55rem;
  font-size: 1.375rem;
  border-style: solid;
  max-width: 5.25rem;
  box-shadow: none;
  overflow: hidden;
  padding: 0;
}
.timer_select .jq-selectbox li {
  color: #fff;
}
.timer_select .jq-selectbox li:hover,
.timer_select .jq-selectbox li.selected {
  background-color: #292b43;
  color: #fff;
}
.timer_select .jq-selectbox li {
  padding: 1.125rem 0.625rem;
  text-align: center;
}
.timer_select.tz_hour .jq-selectbox li {
	padding:0;
	font-size:1.375rem;
}

/* ------------------------------ */
.timezone_timer .timer_dots {
  font-family: "bicubikregular";
  justify-content: center;
  align-items: center;
  font-size: 1.375rem;
  line-height: 2.5rem;
  min-width: 0.875rem;
  padding: 4rem 0 0;
  display: flex;
}
/* ------------------------------ */
.timezone_result {
  padding-left: 4.375rem;
}
@media screen and (max-width: 379px) {
  .timezone_result {
    padding: 1.875rem 8rem 0;
  }
}
.timezone_result .result {
  font-family: "bicubikregular";
  padding: 0.125rem 0;
  line-height: 2.5rem;
  font-size: 1.375rem;
}
/* --------------------------------------------- */
.modal_box[window_name="timezone"] .modal_footer {
  line-height: 2.5rem;
  font-size: 1.5rem;
  min-height: 9rem;
  padding: 2rem 0;
}
/* ------------------------------ */
.modal_box[window_name="timezone"] .modal_footer a {
  text-decoration: underline;
}
.modal_box[window_name="timezone"] .modal_footer a:hover {
  text-decoration: none;
  opacity: 0.8;
}
/* ------------------------------ */
.modal_box[window_name="timezone"] .modal_btn:hover {
  box-shadow: 0 0 0.75rem 0.1875em rgba(237, 46, 73, 0.7) inset;
  background-color: #1b1a2a;
  text-decoration: none;
  border-color: #ed2e49;
  color: #ff8a00;
}
/* ------------------------------------------------------------ timezone modal end */
/* ------------------------------ */
.modal_box[window_name="timezone"] .modal_footer {
  line-height: 2.5rem;
  font-size: 1.5rem;
  min-height: 9rem;
  padding: 2rem 0;
}
/* ------------------------------ */
.modal_box[window_name="timezone"] .modal_footer a {
  text-decoration: underline;
}
.modal_box[window_name="timezone"] .modal_footer a:hover {
  text-decoration: none;
  opacity: 0.8;
}
/* ---------------------------------------- Confirm modal */
.modal_box[window_name="confirm_cancel_deposit"] .modal_head,
.modal_box[window_name="confirm_delete_withdrawal"] .modal_head,
.modal_box[window_name="confirm_ticket_close"] .modal_head {
  padding-bottom: 1.5625rem;
}
/* ------------------------------ */
.modal_box[window_name="confirm_cancel_deposit"] .modal_footer,
.modal_box[window_name="confirm_delete_withdrawal"] .modal_footer,
.modal_box[window_name="confirm_ticket_close"] .modal_footer {
  padding-bottom: 1.5625rem;
}

/* ---------------------------------------- Captcha modal */
.chcl_ .el001 {
  margin-top: 5rem;
  margin-bottom: 3rem;
  font-size: 1.5rem;
  font-family: magistralcbold;
  text-align: center;
}
.chcl_ .el008 {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}
.chcl_ .el005 {
  padding: 0rem 1rem;
  font-size: 2.5rem;
  width: 14rem;
  height: 4.5rem;
  outline: none;
  border-radius: 0.5rem;
  border: none;
}
.chcl_ .captcha_image {
  height: 4.5rem;
  width: auto;
  border-radius: 0.5rem;
}
.l_captcha_input {
  font-family: magistralcbold;
}

/* ---------------------------------------- Google Authenticator modal */
.modal_box[window_name="g_auth"] .title {
  margin-bottom: 0;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] .g_auth_step_ {
  padding: 2.125rem 0 0;
  margin-bottom: 1.25rem;
}
.modal_box[window_name="g_auth"] .g_auth_step_ .divider {
  margin-top: 1.25rem;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] .g_auth_hint {
  line-height: 2.5rem;
  color: #b2aacd;
}
.modal_box[window_name="g_auth"] .g_auth_hint.warning {
  color: #ed2e49;
}

.light_theme .modal_box[window_name="g_auth"] .g_auth_hint {
  color: #efbf78;
}
.light_theme .modal_box[window_name="g_auth"] .g_auth_hint.warning {
  color: #ed2e49;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] #g_auth_install {
  color: #ff8a00;
  text-decoration: underline;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] #g_auth_key_ {
  padding: 2rem 0 1.5rem;
  display: flex;
}
.modal_box[window_name="g_auth"] #g_auth_key {
  border: 0.125rem solid #635779;
  padding: 1.25rem 1.5625rem;
  letter-spacing: 0.15rem;
  border-radius: 0.75rem;
  line-height: 2.5rem;
  font-size: 2rem;
  height: 5.25rem;
  color: #fff;
  width: 100%;
}
.light_theme .modal_box[window_name="g_auth"] #g_auth_key {
  border-color: #e5e4e1;
  color: #505050;
}

.modal_box[window_name="g_auth"] #g_auth_copy {
  border: 0.125rem solid #ff8a00;
  font-family: "bicubikregular";
  justify-content: center;
  border-radius: 0.75rem;
  line-height: 1.25rem;
  margin-left: 1.5rem;
  font-size: 1.375rem;
  align-items: center;
  padding: 0.09375rem;
  min-width: 10rem;
  height: 5.25rem;
  cursor: pointer;
  display: flex;
}
.modal_box[window_name="g_auth"] #g_auth_copy:hover {
  box-shadow: 0 0 0.75rem 0.1875em rgba(237, 46, 73, 0.7) inset;
  background-color: #1b1a2a;
  text-decoration: none;
  border-color: #ed2e49;
  color: #ff8a00;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] .g_auth_qr_ {
  padding: 0 1.5rem 0.625rem;
}
.modal_box[window_name="g_auth"] .g_auth_qr {
  width: 12rem;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] .form-control {
  padding: 1.25rem 1.5625rem;
  line-height: 2.5rem;
  font-size: 2rem;
  height: 5.25rem;
  color: #fff;
  border: 0.125rem solid #635779 !important;
}
.light_theme .modal_box[window_name="g_auth"] .form-control {
  border-color: #e5e4e1 !important;
  color: #505050;
}
/* ------------------------------ */
.modal_box[window_name="g_auth"] {
  position: absolute;
}
/* ---------------------------------------- Change wallet modal */
.modal_box[window_name="change_wallet"] .modal_body {
  padding: 1rem 2rem 0 2rem;
}
.modal_box[window_name="change_wallet"] .title {
  padding: 0;
  margin-bottom: 1.5rem;
}
.modal_box[window_name="change_wallet"] .text {
  font-family: magistralcbold;
  font-size: 1.5rem;
}
.modal_box[window_name="change_wallet"] .el001 {
  margin-bottom: 2.5rem;
  color: #777;
}
.modal_box[window_name="change_wallet"] .el002 {
  border: 0.125rem solid #ccc !important;
  padding: 1rem 2rem !important;
  margin-top: 1rem;
  height: auto;
}
.modal_box[window_name="change_wallet"] .el003 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 1.5rem;
}
.modal_box[window_name="change_wallet"] .el004 {
  font-size: 1.5rem;
  font-family: magistralcbold;
}
.modal_box[window_name="change_wallet"] .modal_btn {
  font-size: 1.6rem;
}

/* ---------------------------------------- Find deposit modal */
.modal_box[window_name="find_deposit"] .title {
  padding-left: 0;
}
.modal_box[window_name="find_deposit"] .modal_body {
  padding: 1rem 2rem 0 2rem;
}
.modal_box[window_name="find_deposit"] .text {
  font-family: magistralcbold;
  font-size: 1.5rem;
  margin-bottom: 2.5rem;
  color: #777;
}
.modal_box[window_name="find_deposit"] .form-control {
  border: 0.125rem solid #ccc;
  padding: 1rem 2rem;
  margin-top: 1rem;
  height: auto;
  border-radius: 0.625rem;
}
.modal_box[window_name="find_deposit"] #el010 {
  margin-bottom: 3rem;
}
.modal_box[window_name="find_deposit"] #el009 {
  min-height: 5rem;
  resize: none;
  line-height: 1.5;
}
.modal_box[window_name="wallet_qr"] #el001 {
  margin: 5rem 0;
  display: flex;
  justify-content: center;
}
.modal_box[window_name="wallet_qr"] #el002 {
  width: 30rem;
  height: 30rem;
}

/* ---------------------------------------- User banned modal */
.modal_box[window_name="user_banned"] {
  position: absolute;
}
.modal_box[window_name="user_banned"] .modal_body {
  padding: 3rem;
  margin-bottom: 0;
}
.modal_box[window_name="user_banned"] .modal_body,
.modal_box[window_name="user_banned"] .modal_body * {
  font-family: magistralcbold;
  font-size: 1.9rem;
  line-height: 1.5;
  color: #ed2e49;
}
.modal_box[window_name="user_banned"] a {
  color: #fff !important;
  text-decoration: underline;
}

/* ---------------------------------------- System modal */
.modal_box[type="info"] .modal_content {
  background-image: -moz-linear-gradient(90deg, rgb(18, 17, 36) 0%, rgb(32, 15, 33) 100%);
  background-image: -webkit-linear-gradient(90deg, rgb(18, 17, 36) 0%, rgb(32, 15, 33) 100%);
  background-image: -ms-linear-gradient(90deg, rgb(18, 17, 36) 0%, rgb(32, 15, 33) 100%);
  border: 0.125rem solid #ffa103;
  border-radius: 2.5rem;
  text-align: center;
  box-shadow: none;
  width: 42.5rem;
}
.modal_box[type="info"] .modal_content::after,
.modal_box[type="info"] .modal_content::before {
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  position: absolute;
  height: 0.125rem;
  width: 320%;
  content: "";
  top: 50%;
}
.modal_box[type="info"] .modal_content::after {
  background: rgb(255, 162, 0);
  background: linear-gradient(90deg, rgba(255, 162, 0, 1) 0%, rgba(237, 46, 73, 1) 100%);
  left: 100%;
}
.modal_box[type="info"] .modal_content::before {
  background: rgb(237, 46, 73);
  background: linear-gradient(90deg, rgba(237, 46, 73, 1) 0%, rgba(255, 162, 0, 1) 100%);
  right: 100%;
}
/* ------------------------------ */
.modal_box[type="info"] .modal_content .title {
  font-family: "bicubikregular";
  line-height: 1.4375rem;
  font-size: 1.1875rem;
  color: #ed2e49;
  margin-bottom: 0;
  padding: 0 1rem;
}
.modal_box[type="info"][window_name="message"] .modal_content .title {
  color: #69dd24;
}
.modal_box[type="info"] .modal_content .title span {
  padding: 1.25rem;
  display: block;
}
.modal_box[type="info"] .modal_content .title .divider {
  background-color: #ed2e49;
  height: 0.125rem;
  width: 100%;
}
.modal_box[type="info"][window_name="message"] .modal_content .title .divider {
  background-color: #69dd24;
}
/* ------------------------------ */
.modal_box[type="info"] .modal_content .cl_fiolet_light {
  color: #666699;
}
/* ------------------------------ */
.modal_box[type="info"] .modal_content .modal_body {
  margin-bottom: 2.1875rem;
  padding: 1.25rem 1rem;
  line-height: 2.5rem;
  min-height: 8rem;
  color: #ccc4df;
}
/* ------------------------------ */
.modal_box[type="info"] .modal_content .content_title {
  font-size: 1.5625rem;
}
.modal_box[type="info"] .modal_content .content_subtitle {
  font-size: 1.375rem;
}
/* ------------------------------ text input, textarea */
.modal_box[type="info"] .modal_content .form-control {
  border: 0.125rem solid #666699;
  font-family: "magistralcbold";
  background-color: #1b1a2a;
  padding: 1.25rem 0.9375rem;
  border-radius: 0.375rem;
  line-height: 2.5rem;
  font-size: 2.063rem;
  color: #ccc4df;
  height: 4.688rem;
}
.modal_box[type="info"] .modal_content .form-control:focus {
  background-color: #1b1a2a;
  border-color: #666699;
  box-shadow: none;
  color: #ccc4df;
}
.modal_box[type="info"] .modal_content textarea.form-control {
  resize: none;
}
.modal_box[type="info"] .modal_content .form-control::-webkit-input-placeholder {
  color: #9c88ad;
}
.modal_box[type="info"] .modal_content .form-control::-moz-placeholder {
  color: #9c88ad;
}
.modal_box[type="info"] .modal_content .form-control:-ms-input-placeholder {
  color: #9c88ad;
}
.modal_box[type="info"] .modal_content .form-control::-ms-input-placeholder {
  color: #9c88ad;
}
.modal_box[type="info"] .modal_content .form-control::placeholder {
  color: #9c88ad;
}
/* ------------------------------ */
.modal_box[type="info"] .modal_content .modal_btn {
  border: 0.125rem solid #666699;
  font-family: "bicubikregular";
  padding: 0.9375rem 1.5625rem;
  border-radius: 1.6875rem;
  justify-content: center;
  text-decoration: none;
  min-height: 3.375rem;
  line-height: 1.25rem;
  font-size: 1.125rem;
  align-items: center;
  color: #b2aacd;
  display: flex;
}
.modal_box[type="info"] .modal_content .modal_btn:hover {
  border: 0.125rem solid #b2aacd;
  text-decoration: none;
  box-shadow: none;
  color: #fff;
}

/* ---------------------------------------- System Capcha modal */
.home_captcha_block {
  padding: 4.375rem 0 1.25rem;
  max-width: 26.875rem;
  margin: 0 auto;
}
.home_captcha_block .capcha_img {
  background-color: #1b1a2a;
  border-radius: 0.375rem;
  justify-content: center;
  align-items: center;
  color: #ccc4df;
  height: 4rem;
  display: flex;
  width: 100%;
}
.home_captcha_block .capcha_img img {
  max-height: 100%;
  max-width: 100%;
  height: auto;
  width: auto;
}

.g_auth_step_.step4 {
	margin-bottom:2rem;
	display:flex;
	justify-content:space-between;
	align-items:center;
}

.g_auth_step_.step4 .pin_field {
	padding:0 !important;
	height:4.125rem;
}

/* ---------------------------------------- Media sizes */
@media screen and (min-width: 2880px) {
  html {
    font-size: 13px;
  }
}
@media (min-width: 2560px) and (max-width: 2879px) {
  html {
    font-size: 11px;
  }
}
@media (min-width: 2240px) and (max-width: 2559px) {
  html {
    font-size: 10px;
  }
}
@media (min-width: 1920px) and (max-width: 2239px) {
  html {
    font-size: 8px;
  }
}
@media (min-width: 1440px) and (max-width: 1919px) {
  html {
    font-size: 7px;
  }
}
@media (min-width: 670px) and (max-width: 1439px) {
  html {
    font-size: 7px;
  }
}
@media screen and (max-width: 669px) {
  html {
    font-size: 6px;
  }
}